#
# Copyright Dell 2013
#
require 'puppet/parser/files'

Puppet::Parser::Functions::newfunction(
  :first_template,
  :type => :rvalue,
  :arity => -2,
  :doc => <<-'ENDHEREDOC') do |vals|

  Evaluate the first template in the list of arguments which is
  found.

  See [the templating docs](http://docs.puppetlabs.com/guides/templating.html)
  for more information.

  ENDHEREDOC

  template = nil
  vals.each do |file|
    if Puppet::Parser::Files.find_template(file)
      template = file
      break
    end
  end

  raise(ArgumentError, "None of the specified templates could be found") if template.nil?

  # Delegate to standard template function
  Puppet::Parser::Functions.function(:template)
  function_template([template])

end
