require 'json'

module Puppet::Parser::Functions
  newfunction(:path_to_uri, :type => :rvalue, :doc => <<-EOS
This function takes in the idrac_firmware string with uri_path as the
full path and converts it to an array of hashes with the correct uri_path.
  EOS
  ) do |args|
    firmwares = JSON.parse(args[0])
    asm_host = args[1]
    firmwares.each do |firmware|
      full_path = firmware["uri_path"]
      full_path_split = full_path.split('/')
      mount = full_path_split[0..4].join('/')
      rel_path = full_path_split[5..-1].join('/')
      uri = "nfs://#{asm_host}/#{rel_path};mountpoint=#{mount}"
      firmware["uri_path"] = uri
    end
    firmwares
  end
end
