require 'puppet/provider/esx_iscsi_targets/default'
Puppet::Type.type(:esx_iscsi_targets).provide(
  :asm_decrypt,
  :parent => Puppet::Type::Esx_iscsi_targets::ProviderDefault
) do

  def authentication_properties_chap_secret=(value)
    require 'asm/cipher'
    leaf = map.leaf_list.find do |leaf|
      leaf.prop_name.to_s == 'authentication_properties_chap_secret'
    end
    value = ASM::Cipher.decrypt_string(value)
    PuppetX::VMware::Util::nested_value_set(config_should, leaf.path_should, value)
    properties_rcvd.add leaf.prop_name
    properties_reqd.merge leaf.requires
    @flush_required = true
  end

end
