require 'puppet/provider/esx_mem/default'
require 'asm/cipher'

Puppet::Type.type(:esx_mem).provide(
  :asm_decrypt,
  :parent => Puppet::Type::Esx_mem::ProviderDefault
) do

  def get_host_password
    ASM::Cipher.decrypt_string resource[:host_password]
  end

  def get_iscsi_chapsecret
    if resource[:iscsi_chapsecret].nil? or resource[:iscsi_chapsecret].empty?
      return ''
    end
    ASM::Cipher.decrypt_string resource[:iscsi_chapsecret]
  end

end
