
Puppet::Type.type(:transport).provide(:asm_decrypt) do
  desc <<-EOT
Transport provider that uses the ASM::Cipher to decrypt a passphrase string

  transport{"winrm":
    server => "192.168.1.1",
    username => "Administrator",
    provider => "asm_decrypt",
    options => {"crypt_string" => "ff80808148ad6fde0148ea4778361d51"}
  }
  EOT

  def password
    require 'asm/cipher'
    ASM::Cipher.decrypt_string(resource[:options]["crypt_string"])
  end
end
