# Copyright (C) 2014 Dell, Inc.
require 'uri'
Puppet::Type.type(:transport).provide(:device_file) do

  desc <<-EOT

Transport provider that uses the name attribute to look up
credentials from asm specific device config file

  EOT

  def username
    device_config[:user]
  end

  def password
    URI.decode(device_config[:password])
  end

  def server
    device_config[:host]
  end

  def options
    device_config[:options] || {}
  end

  def device_config
    @device_config || begin
      require 'asm/device_management'
      endpoint = resource[:options]['endpoint'] || resource[:name]
      t = ASM::DeviceManagement.parse_device_config(endpoint)
    end
  end

end
