#Manifest for doing initial onboarding for chassis
define asm::chassis::initial_config (
  $idrac_network_type,
  $cmc_network_type,
  $iom_network_type,
  $idrac_networks = [],
  $idrac_slots = '',
  $cmc_network = [],
  $iom_networks = [],
  $iom_slots = '',
  $idrac_cred_id = undef,
  $cmc_cred_id = undef,
  $iom_cred_id = undef
) {

  iom_onboard { $name :
    credential   => $iom_cred_id,
    network_type => downcase($iom_network_type),
    networks     => $iom_networks,
    slots        => split($iom_slots, ','),
    provider     => asm_decrypt,
    before       => Cmc_onboard[$name]
  }
  idrac_onboard { $name :
    credential   => $idrac_cred_id,
    network_type => downcase($idrac_network_type),
    networks     => $idrac_networks,
    slots        => split($idrac_slots, ','),
    provider     => asm_decrypt,
    before       => Cmc_onboard[$name]
  }
  cmc_onboard { $name :
    network_type => downcase($cmc_network_type),
    network      => $cmc_network,
    credential   => $cmc_cred_id,
    provider     => asm_decrypt,
  }

}
