# == Define: cisconexus::force10_zoneconfig
#
# Utility for zone configuration in Force10 S5000 switch.
#
# === Parameters:
#
# === Actions:
#
# === Requires:
#
# === Sample Usage:
#  asm::cisconexus_zoneconfig {'zonename':
#      $ensure => 'present',
#      zonemember => 'comma seperate WWPN values to be added to the zone',
#      vsanid => 'vsan id in which zone needs to be added',
#      zoneset => 'name of the zoneset'
#  }
#
define asm::cisconexus_zoneconfig (
  $ensure = 'present',
  $zonemember,
  $zoneset,
  $vsanid,
  $zones,
) {

  cisconexus5k_zone { $name:
    ensure                  => $ensure,
    member                  => $zonemember,
    vsanid                  => $vsanid,
    membertype              => 'pwwn'
  }

  if !defined(Cisconexus5k_zoneset["$zoneset"]) {
    cisconexus5k_zoneset { "$zoneset":
      ensure    => $ensure,
      vsanid    => $vsanid,
      member    => $zones,
      active    => "true",
      force     => "true"
    }
  }
  Cisconexus5k_zone[$name]
  -> Cisconexus5k_zoneset[$zoneset]
}
