# Define: asm vcenter cluster
define asm::cluster::vcenter (
  $ensure,
  $datacenter,
  $cluster,
  $vsan_enabled = undef,
  $vcenter_options
) {

  transport { 'vcenter':
    name     => $name,
    options  => $vcenter_options,
    provider => 'device_file'
  }

  Vc_cluster { transport => Transport['vcenter'] }
  Vc_cluster_evc { transport => Transport['vcenter'] }
  Vc_datacenter { transport => Transport['vcenter'] }

  $cluster_path = "/${datacenter}/${cluster}"

  if $ensure == 'present' {
    vc_datacenter { $datacenter:
      ensure => 'present',
      path   => "/${datacenter}",
    }

    vc_cluster_evc { $cluster_path:
      require => [
        Vc_cluster[$cluster_path],
      ],
      before  => Anchor[$cluster_path]
    }
  }

  vc_cluster { $cluster_path:
    ensure => $ensure,
  }

  if !defined(Anchor[$cluster_path]) {
    anchor { $cluster_path:
      require => Vc_cluster[$cluster_path]
    }
  }

  if $vsan_enabled and $ensure == 'present' {
    vc_vsan { $cluster:
      ensure     => 'present',
      auto_claim => 'true',
      cluster    => $cluster,
      datacenter => $datacenter,
      transport  => Transport['vcenter'],
      require => Vc_cluster[$cluster_path]
    }
  }

}
