# For backwards compatibility:
define asm::cluster::vcenter_hadrs (
  $cluster_path,
  $vcenter_options,
  $ensure           = present,
  $ha_config        = false,
  $drs_config       = false
) {

#  transport { 'vcenter':
#    name     => $name,
#    options  => $vcenter_options,
#    provider => 'device_file'
#  }
  ensure_resource('transport', 'vcenter', {
    'name'     => $name,
    'options'  => $vcenter_options,
    'provider' => 'device_file'
  })

  Vc_cluster { transport => Transport['vcenter'] }
  Vc_cluster_drs { transport => Transport['vcenter'] }
  Vc_cluster_ha { transport => Transport['vcenter'] }

  vc_cluster { $cluster_path:
    ensure => $ensure
  }

  vc_cluster_ha { $cluster_path:
    admission_control_enabled     => false,
    das_config_enabled            => $ha_config,
    host_monitoring               => 'enabled',
    require                       => Vc_cluster[$cluster_path],
    before                        => Anchor[$cluster_path]
  }

  vc_cluster_drs { $cluster_path:
    enabled =>  $drs_config,
    require => Vc_cluster[$cluster_path],
    before  => Anchor[$cluster_path]
  }

  if !defined(Anchor[$cluster_path]) {
    anchor { $cluster_path:
      require => Vc_cluster[$cluster_path]
    }
  }

}
