define asm::datastore::each_hba (
  $hba_hash,
  $esxclipath,
  $esxusername,
  $esxpassword,
  $provider,
  $ensure,
  $chapname,
  $chapsecret,
  $hba_hash,
  $iscsi_target_ip,
  $lun,
  $chap_auth,
  $chap_auth_type,
  $software_iscsi,
) {
  # Add iscsi intitiator port bindings.
  if !$software_iscsi {
    iscsi_intiator_binding { "${title}:binding":
      ensure                 => $ensure,
      vmhba                  => $hba_hash[$title]['vmhba'],
      vmknics                => $hba_hash[$title]['vmknics'],
      script_executable_path => $esxclipath,
      host_username          => $esxusername,
      host_password          => $esxpassword,
      provider               => $provider,
      transport              => Transport['vcenter'],
      notify                 => Esx_iscsi_targets["${title}:target"]
    }
  }

  esx_iscsi_targets { "${title}:target":
    ensure                                             => $ensure,
    iscsi_hba_device                                   => $hba_hash[$title]['vmhba'],
    transport                                          => Transport['vcenter'],
    address                                            => $iscsi_target_ip,
    port                                               => 3260,
    authentication_properties_chap_name                => $chapname,
    authentication_properties_chap_secret              => $chapsecret,
    authentication_properties_chap_authentication_type => $chap_auth_type,
    authentication_properties_chap_auth_enabled        => $chap_auth,
    advanced_options                                   => [{
      key         => 'DelayedAck',
      value       => true,
      isInherited => false
    }],
    provider                                           => $provider
  }
}
