define asm::datastore::software_hba (
  $datacenter,
  $cluster,
  $esxhost,
  $esxclipath      = '/usr/bin/esxcli',
  $esxusername,
  $esxpassword,
  $ensure,
  $software_hba,
  $vmknics,
  $decrypt         = false,
) {
  if $decrypt {
    $provider = 'asm_decrypt'
  } else {
    $provider = undef
  }

# Add iscsi intitiator port bindings.
  iscsi_intiator_binding { "${title}:software_hba_binding":
    ensure                 => $ensure,
    vmhba                  => $software_hba,
    vmknics                => $vmknics,
    script_executable_path => $esxclipath,
    host_username          => $esxusername,
    host_password          => $esxpassword,
    provider               => $provider,
    transport              => Transport['vcenter'],
  }

  esx_rescanallhba { "${esxhost}:rescanallhba":
    ensure     => $ensure,
    host       => $esxhost,
    path       => "/${datacenter}/${cluster}",
    transport  => Transport['vcenter'],
    require    => iscsi_intiator_binding["${title}:software_hba_binding"]
  }

  exec { "${esxhost}:wait":
    command => '/bin/sleep 1',
    require => Esx_rescanallhba["${esxhost}:rescanallhba"],
  }
}
