class asm::dhcp(
  $subnet          = undef,
  $netmask         = undef,
  $min_range       = undef,
  $max_range       = undef,
  $default_gateway = undef,
  $domain          = undef,
  $dns             = undef,
  $default_lease   = 3600,
  $max_lease       = 10800,
  $pxe_address     = $ipaddress,
  $conf_dir        = '/etc/dhcp',
  $conf_name       = 'dhcpd.conf',
  $service_ensure  = 'running'
) {
  # This conditional will make it so we only manage the conf file if ensuring dhcpd is started.
  if $service_ensure == 'running' {
    file{ "${conf_dir}/${conf_name}":
      ensure  => present,
      content => template('asm/dhcpd.conf.erb'),
      notify  => Service['dhcpd']
    }
  }

  service{ 'dhcpd':
    ensure      => $service_ensure,
    enable      => $service_ensure == 'running',
    hasstatus   => true
  }

}
