# Define ASM FC datastore
define asm::fcdatastore(
  $data_center,
  $datastore,
  $cluster,
  $esxhost,
  $ensure = present,
  $iscsi_volume = false,
  $lun    = '0',
) {

# Rescan all hbas.
  if !defined(Esx_rescanallhba["${esxhost}:rescanallhba"]) {
    esx_rescanallhba { "${esxhost}:rescanallhba":
      ensure     => $ensure,
      host       => $esxhost,
      path       => "/${data_center}/${cluster}",
      transport  => Transport['vcenter'],
    }

    exec { "${esxhost}:wait":
      command => '/bin/sleep 1',
      require => Esx_rescanallhba["${esxhost}:rescanallhba"],
    }

    if !$iscsi_volume  {
      esx_fc_multiple_path_config {$esxhost:
        ensure     => $ensure,
        host       => $esxhost,
        policyname => 'VMW_PSP_RR',
        path       => "/${data_center}/${cluster}",
        transport  => Transport['vcenter'],
      }
    }
  }

  if !$iscsi_volume  {
    esx_datastore { "${esxhost}:${datastore}":
      ensure     => $ensure,
      type       => 'vmfs',
      lun        => $lun,
      require    => Exec["${esxhost}:wait"],
      before     => Esx_fc_multiple_path_config[$esxhost],
      transport  => Transport['vcenter'],
    }
  }
  else {
    esx_datastore { "${esxhost}:${datastore}":
      ensure     => $ensure,
      type       => 'vmfs',
      lun        => $lun,
      require    => Exec["${esxhost}:wait"],
      transport  => Transport['vcenter'],
    }

  }
}
