# == Define: force10::force10_zoneconfig
#
# Utility for zone configuration in Force10 S5000 switch.
#
# === Parameters:
#
# === Actions:
#
# === Requires:
#
# === Sample Usage:
#  force10::force10_zoneconfig {'zonename':
#      $zonemember => 'zone members seperated by comma',
#      zonesetname => '1,2,3,4,10,20,30,40',
#      mtu => 1500,
#  }
#
define asm::force10_zoneconfig (
  #TODO: ensure is a placeholder parameter for now.
  $ensure = 'present',
  $zonemember,
  $zoneset,
  $zones
) {

  force10_zone {$name:
    zonemember                  => $zonemember,
  }

  if !defined(Force10_zoneset["$zoneset"]) {
    force10_zoneset { "$zoneset":
      zone      => $zones,
      activate  => true
    }
  }
  Force10_zone[$name]
  -> Force10_zoneset[$zoneset]
}
