# Define: ASM VM host
define asm::host (
  $datacenter,
  $cluster,
  $hostname,
  $username,
  $password      = undef,
  $ensure        = present,
  $decrypt       = false,
  $timeout       = 0,
  $ntp_server   = [ '0.pool.ntp.org', '1.pool.ntp.org', ]
) {

  if $decrypt {
    Vc_host {
      provider => 'asm_decrypt'
    }
  }

  if $ensure == 'present' {
    vcenter::host { $hostname:
    # ensure   => $ensure,
      path           => "/${datacenter}/${cluster}",
      username       => $username,
      password       => $password,
      transport      => Transport['vcenter'],
      dateTimeConfig => {
        ntpConfig => {
          running => true,
          policy => 'automatic',
          server => $ntp_server,
        },
      },
    }

    esx_maintmode { $hostname:
      ensure                    => absent,
      timeout                   => $timeout,
      transport                 => Transport['vcenter'],
      evacuate_powered_off_vms  => true,
      require                   => Vcenter::Host[$hostname],
    }
  } else {
      vc_host { $hostname:
        ensure    => $ensure,
        path      => "/${datacenter}/${cluster}",
        username  => $username,
        password  => $password,
        transport => Transport['vcenter'],
        require   => Esx_maintmode[$hostname],
    }

      esx_maintmode { $hostname:
        ensure                    => present,
        timeout                   => $timeout,
        transport                 => Transport['vcenter'],
        evacuate_powered_off_vms  => true,
      }
  }
}
