#Manifest for doing initial onboarding for chassis
define asm::idrac::config (
  $dns_name           = undef,
  $register_dns       = false,
  $users              = undef,
  $smtp_server        = undef,
  $email_destinations = undef,
  $alert_destinations = undef,
  $ntp_enabled        = undef,
  $ntp_preferred      = undef,
  $ntp_secondary      = undef,
  $time_zone          = undef,
  $ipmi_over_lan      = undef,
  $chassis_name       = undef,
  $datacenter         = undef,
  $aisle              = undef,
  $rack               = undef,
  $rackslot           = undef,
  $provider           = asm_decrypt
) {
  transport{ 'idrac':
    name     => $name,
    options  => {},
    provider => device_file
  }->
  idrac_settings{ $name:
    dns_name           => $dns_name,
    register_dns       => $register_dns,
    users              => $users,
    smtp_server        => $smtp_server,
    email_destinations => $email_destinations,
    alert_destinations => $alert_destinations,
    ntp_enabled        => $ntp_enabled,
    ntp_preferred      => $ntp_preferred,
    ntp_secondary      => $ntp_secondary,
    time_zone          => $time_zone,
    ipmi_over_lan      => $ipmi_over_lan,
    chassis_name       => $chassis_name,
    datacenter         => $datacenter,
    aisle              => $aisle,
    rack               => $rack,
    rackslot           => $rackslot,
    provider           => $provider,
    transport          => Transport['idrac']
  }

}
