# Define: asm nfs datastore
define asm::nfsdatastore(
  $data_center,
  $datastore,
  $cluster,
  $ensure,
  $esxhost,
  $remote_host,
  $remote_path,
  $decrypt         = false
) {

  if $decrypt {
    $provider = 'asm_decrypt'
  } else {
    $provider = undef
  }

  esx_datastore { $name:
    ensure       => $ensure,
    type         => 'nfs',
    path         => "/${data_center}/${cluster}/",
    remote_host  => $remote_host,
    remote_path  => $remote_path,
    transport    => Transport['vcenter'],
    provider     => $provider
  }

}
