define asm::vcenter::vds (
  $ensure,
  $datacenter,
  $cluster,
  $dvswitch_name,
  $dvswitch_version = undef,
  $host_spec = [{
    host      => "hostname",
    operation => 'add'
  }],
  $uplink = ['uplink1', 'uplink2'],
) {

  if !defined(Vcenter::Dvswitch["/${datacenter}/${dvswitch_name}:create"]) {
    vcenter::dvswitch{ "/${datacenter}/${dvswitch_name}:create":
      ensure    => present,
      vds_version => $dvswitch_version,
      transport => Transport['vcenter'],
      spec      => {},
      before    => "Vcenter::Dvswitch[/${datacenter}/${dvswitch_name}:configure]"
    }
  }

  vcenter::dvswitch{ "/${datacenter}/${dvswitch_name}:configure":
    ensure    => present,
    transport => Transport['vcenter'],
    spec      => {
      defaultPortConfig => {
        lacpPolicy => {
          inherited => false,
          enable    => {
            inherited => false,
            value     => true,
          },
          mode      => {
            inherited => false,
            value     => 'passive',
          },
          vlan => {
            typeVmwareDistributedVirtualSwitchTrunkVlanSpec => {
              inherited => false,
              vlanId => [
                { start => 1001, end => 1300 },
                { start => 3005, end => 3309 },
              ],
            },
          }
        },
      },
      host => $host_spec,
      uplinkPortPolicy => {
        uplinkPortName => $uplink,
      },
      numStandalonePorts => 42,
      maxMtu => 9000,
    }

  }
}


