# asm:::vm is renamed to asm::vm::vcenter
define asm::vm(
  $ensure,
  $cpu_count,
  $memory_in_mb,
  $cluster,
  $os_type,
  $os_guest_id,
  $datacenter,
  $vcenter_id,
  $vcenter_options,
  $datastore            = undef,
  $scsi_controller_type = 'VMware Paravirtual',
  $disksize_in_gb       = 32,
  $network_interfaces   = [{portgroup => 'VM Network' , nic_type => 'vmxnet3'}]
) {

  asm::vcenter::vm { $name:
    ensure               => $ensure,
    cpu_count            => $cpu_count,
    memory_in_mb         => $memory_in_mb,
    cluster              => $cluster,
    os_type              => $os_type,
    os_guest_id          => $os_guest_id,
    datacenter           => $datacenter,
    datastore            => $datastore,
    vcenter_id           => $vcenter_id,
    vcenter_options      => $vcenter_options,
    scsi_controller_type => $scsi_controller_type,
    disksize_in_gb       => $disksize_in_gb,
    network_interfaces   => $network_interfaces,
  }
}
