# ASM vSwitch:
define asm::vswitch(
  $data_center,
  $cluster,
  $ensure,
  $esxhost,
  $esxusername,
  $esxpassword,
  $vswitchname,
  $portgroupname,
  $nics,
  $nicorderpolicy = {},
  $nicipsetting   = 'dhcp',
  $nicipaddress   = '',
  $nicsubnetmask  = '',
  $nicvlanid      = '0',
) {
  # adding vswitch3 on esx
  esx_vswitch { "${esxhost}:${vswitchname}":
    ensure         => $ensure,
    num_ports      => 1024,
    nics           => $nics,
    nicorderpolicy => $nicorderpolicy,
    path           => "/${data_center}/${cluster}",
    mtu            => 9000,
    checkbeacon    => true,
    transport      => Transport['vcenter'],
  } ~>

  # add portgroup on vswitch3
  esx_portgroup { '$portgroupname':
    ensure                 => $ensure,
    name                   => "${esxhost}:${portgroupname}",
    portgrouptype          => 'VMkernel',
    overridefailback       => 'disabled',
    failback               => true,
    mtu                    => '9000',
    overridefailoverorder  => 'enabled',
    nicorderpolicy         => $nicorderpolicy,
    overridecheckbeacon    => 'enabled',
    checkbeacon            => true,
    ipsettings             => $nicipsetting,
    ipaddress              => $nicipaddress,
    subnetmask             => $nicsubnetmask,
    traffic_shaping_policy => 'disabled',
    averagebandwidth       => 1000,
    peakbandwidth          => 1000,
    burstsize              => 1024,
    vswitch                => $vswitchname,
    path                   => "/${data_center}/${cluster}",
    host                   => $esxhost,
    vlanid                 => $nicvlanid,
    transport              => Transport['vcenter'],
  }
}
