require 'rspec-puppet'
require 'spec_helper'
describe 'asm::server' do

  let :params do
    {
      :razor_image       => 'rhel6',
      :os_image_type     => 'linux',
      :admin_password    => 'some_password',
      :os_host_name      => 'some_host',
      :serial_number     => '123',
      :policy_name       => 'p123',
      :installer_options => {'fake_ntp' => '1.2.3.4'}
    }
  end

  let :title do
    'foo'
  end

  it 'should compile successfully' do
    should contain_rz_policy('p123').with({
      :root_password => 'some_password',
      :repo          => 'rhel6',
      :hostname      => 'some_host',
      :enabled       => 'true',
      :node_metadata      => {'installer_options'=>{'fake_ntp' => '1.2.3.4'}}
      })
  end

end
